summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jostein Berntsen2015-06-09 22:52:00 +0200
committer Willy Sudiarto Raharjo2015-06-09 23:39:56 +0200
commit862de3f5f78537231710a56c98b952b5eb7e7b26 (patch)
treeee95ff5b709c82b352d86fa8fce6698898696c3b
parent45f40da603503cd9d2c1f19bded84327dd8dfe5f (diff)
downloadslackbuilds-862de3f5f78537231710a56c98b952b5eb7e7b26.tar.gz
system/porg: Added (package manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/porg/README7
-rw-r--r--system/porg/doinst.sh3
-rw-r--r--system/porg/porg.SlackBuild91
-rw-r--r--system/porg/porg.info10
-rw-r--r--system/porg/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/system/porg/README b/system/porg/README
new file mode 100644
index 0000000000..41544f0401
--- /dev/null
+++ b/system/porg/README
@@ -0,0 +1,7 @@
+Porg (formerly known as paco), is a program to aid management of software
+packages installed from source code.
+
+After the installation of such packages, one is usually left with
+having no idea of what it was installed and where it all went, making
+it difficult to uninstall the package in the future. Porg was written
+to solve this problem in a quite simple fashion.
diff --git a/system/porg/doinst.sh b/system/porg/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/porg/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/porg/porg.SlackBuild b/system/porg/porg.SlackBuild
new file mode 100644
index 0000000000..32f8775806
--- /dev/null
+++ b/system/porg/porg.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for porg
+
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
+PRGNAM=porg
+VERSION=${VERSION:-0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --datarootdir=/usr/share \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Fix spam
+mv $PKG/$PKG/usr/share/* $PKG/usr/share/
+rm -rf $PKG/tmp
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/porg/faq.txt $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/porg/porg.info b/system/porg/porg.info
new file mode 100644
index 0000000000..bfc9977682
--- /dev/null
+++ b/system/porg/porg.info
@@ -0,0 +1,10 @@
+PRGNAM="porg"
+VERSION="0.8"
+HOMEPAGE="http://porg.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/porg/files/porg-0.8.tar.gz"
+MD5SUM="90d155d85eec8f14f84e1da434df68c7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtkmm3"
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"
diff --git a/system/porg/slack-desc b/system/porg/slack-desc
new file mode 100644
index 0000000000..ce4cacbc99
--- /dev/null
+++ b/system/porg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+porg: porg (package manager)
+porg:
+porg: Porg (formerly known as paco), is a program to aid management of
+porg: software packages installed from source code.
+porg:
+porg:
+porg:
+porg: http://porg.sourceforge.net/
+porg:
+porg:
+porg: